﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DrawEditShapes.aspx.cs"
    Inherits="CSSamples.DrawEditShapes" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>DeleteFeatureWithRightClick</title>
    <script type="text/javascript">
        var OnMapCreated = function (map) {
            // for convenience, set the draw mode here
            Map1.SetDrawMode('Rectangle');
            var vectorLayer = map.getLayersByName("EditOverlay")[0];
            if (vectorLayer) {
                document.getElementById(map.clientId).oncontextmenu = function () { return false; };
                vectorLayer.events.register("mousedown", vectorLayer, function (evt) {
                    if (evt && evt.button == 2) {
                        var feature = this.getFeatureFromEvent(evt);
                        if (feature != null) {
                            // you can add some confirm here or somewhere
                            this.removeFeatures([feature]);
                        }
                    }
                });
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    </form>
</body>
</html>
